Index: lemon/matrix_maps.h
===================================================================
--- lemon/matrix_maps.h	(revision 1720)
+++ lemon/matrix_maps.h	(revision 1751)
@@ -36,5 +36,5 @@
   /// Map for the coloumn view of the matrix.
   template <typename _MatrixMap>
-  class MatrixColMap : public MapTraits<_MatrixMap> {
+  class MatrixRowMap : public MapTraits<_MatrixMap> {
   public:
     typedef _MatrixMap MatrixMap;
@@ -43,6 +43,6 @@
 
 
-    MatrixColMap(MatrixMap& _matrix, typename MatrixMap::FirstKey _col) 
-      : matrix(_matrix), col(_col) {}
+    MatrixRowMap(MatrixMap& _matrix, typename MatrixMap::FirstKey _row) 
+      : matrix(_matrix), row(_row) {}
 
     /// \brief Subscription operator
@@ -50,6 +50,6 @@
     /// Subscription operator.
     typename MapTraits<MatrixMap>::ReturnValue
-    operator[](Key row) {
-      return matrix(col, row);
+    operator[](Key col) {
+      return matrix(row, col);
     }
 
@@ -57,6 +57,6 @@
     ///
     /// Setter function.
-    void set(Key row, const Value& val) {
-      matrix.set(col, row, val);
+    void set(Key col, const Value& val) {
+      matrix.set(row, col, val);
     }
       
@@ -65,18 +65,18 @@
     /// Subscription operator.
     typename MapTraits<MatrixMap>::ConstReturnValue
-    operator[](Key row) const {
-      return matrix(col, row);
+    operator[](Key col) const {
+      return matrix(row, col);
     }
 
   private:
     MatrixMap& matrix;
-    typename MatrixMap::FirstKey col;
-  };
-
-  /// \brief Map for the coloumn view of the matrix
-  ///
-  /// Map for the coloumn view of the matrix.
+    typename MatrixMap::FirstKey row;
+  };
+
+  /// \brief Map for the row view of the matrix
+  ///
+  /// Map for the row view of the matrix.
   template <typename _MatrixMap>
-  class ConstMatrixColMap : public MapTraits<_MatrixMap> {
+  class ConstMatrixRowMap : public MapTraits<_MatrixMap> {
   public:
     typedef _MatrixMap MatrixMap;
@@ -85,7 +85,7 @@
 
 
-    ConstMatrixColMap(const MatrixMap& _matrix, 
-		      typename MatrixMap::FirstKey _col) 
-      : matrix(_matrix), col(_col) {}
+    ConstMatrixRowMap(const MatrixMap& _matrix, 
+		      typename MatrixMap::FirstKey _row) 
+      : matrix(_matrix), row(_row) {}
 
     /// \brief Subscription operator
@@ -93,26 +93,26 @@
     /// Subscription operator.
     typename MapTraits<MatrixMap>::ConstReturnValue
-    operator[](Key row) const {
-      return matrix(col, row);
+    operator[](Key col) const {
+      return matrix(row, col);
     }
 
   private:
     const MatrixMap& matrix;
-    typename MatrixMap::FirstKey col;
-  };
-
-  /// \brief Gives back a coloumn view of the matrix map
-  ///
-  /// Gives back a coloumn view of the matrix map.
+    typename MatrixMap::FirstKey row;
+  };
+
+  /// \brief Gives back a row view of the matrix map
+  ///
+  /// Gives back a row view of the matrix map.
   template <typename MatrixMap>
-  MatrixColMap<MatrixMap> matrixColMap(MatrixMap& matrixMap,
-				       typename MatrixMap::FirstKey col) {
-    return MatrixColMap<MatrixMap>(matrixMap, col);
+  MatrixRowMap<MatrixMap> matrixRowMap(MatrixMap& matrixMap,
+				       typename MatrixMap::FirstKey row) {
+    return MatrixRowMap<MatrixMap>(matrixMap, row);
   }
 
   template <typename MatrixMap>
-  ConstMatrixColMap<MatrixMap>
-  matrixColMap(const MatrixMap& matrixMap, typename MatrixMap::FirstKey col) {
-    return ConstMatrixColMap<MatrixMap>(matrixMap, col);
+  ConstMatrixRowMap<MatrixMap>
+  matrixRowMap(const MatrixMap& matrixMap, typename MatrixMap::FirstKey row) {
+    return ConstMatrixRowMap<MatrixMap>(matrixMap, row);
   }
 
@@ -121,5 +121,5 @@
   /// Map for the row view of the matrix.
   template <typename _MatrixMap>
-  class MatrixRowMap : public MapTraits<_MatrixMap> {
+  class MatrixColMap : public MapTraits<_MatrixMap> {
   public:
     typedef _MatrixMap MatrixMap;
@@ -127,6 +127,6 @@
     typedef typename MatrixMap::Value Value;
 
-    MatrixRowMap(MatrixMap& _matrix, typename MatrixMap::SecondKey _row) 
-      : matrix(_matrix), row(_row) {}
+    MatrixColMap(MatrixMap& _matrix, typename MatrixMap::SecondKey _col) 
+      : matrix(_matrix), col(_col) {}
 
     /// \brief Subscription operator
@@ -134,6 +134,6 @@
     /// Subscription operator.
     typename MapTraits<MatrixMap>::ReturnValue
-    operator[](Key col) {
-      return matrix(col, row);
+    operator[](Key row) {
+      return matrix(row, col);
     }
 
@@ -141,6 +141,6 @@
     ///
     /// Setter function.
-    void set(Key col, const Value& val) {
-      matrix.set(col, row, val);
+    void set(Key row, const Value& val) {
+      matrix.set(row, col, val);
     }
       
@@ -149,18 +149,18 @@
     /// Subscription operator.
     typename MapTraits<MatrixMap>::ConstReturnValue
-    operator[](Key col) const {
-      return matrix(col, row);
+    operator[](Key row) const {
+      return matrix(row, col);
     }
 
   private:
     MatrixMap& matrix;
-    typename MatrixMap::SecondKey row;
-  };
-
-  /// \brief Map for the row view of the matrix
-  ///
-  /// Map for the row view of the matrix.
+    typename MatrixMap::SecondKey col;
+  };
+
+  /// \brief Map for the col view of the matrix
+  ///
+  /// Map for the col view of the matrix.
   template <typename _MatrixMap>
-  class ConstMatrixRowMap : public MapTraits<_MatrixMap> {
+  class ConstMatrixColMap : public MapTraits<_MatrixMap> {
   public:
     typedef _MatrixMap MatrixMap;
@@ -168,7 +168,7 @@
     typedef typename MatrixMap::Value Value;
 
-    ConstMatrixRowMap(const MatrixMap& _matrix, 
-		      typename MatrixMap::SecondKey _row) 
-      : matrix(_matrix), row(_row) {}
+    ConstMatrixColMap(const MatrixMap& _matrix, 
+		      typename MatrixMap::SecondKey _col) 
+      : matrix(_matrix), col(_col) {}
 
     /// \brief Subscription operator
@@ -176,26 +176,26 @@
     /// Subscription operator.
     typename MapTraits<MatrixMap>::ConstReturnValue
-    operator[](Key col) const {
-      return matrix(col, row);
+    operator[](Key row) const {
+      return matrix(row, col);
     }
 
   private:
     const MatrixMap& matrix;
-    typename MatrixMap::SecondKey row;
-  };
-
-  /// \brief Gives back a row view of the matrix map
-  ///
-  /// Gives back a row view of the matrix map.
+    typename MatrixMap::SecondKey col;
+  };
+
+  /// \brief Gives back a col view of the matrix map
+  ///
+  /// Gives back a col view of the matrix map.
   template <typename MatrixMap>
-  MatrixRowMap<MatrixMap> matrixRowMap(MatrixMap& matrixMap,
-				       typename MatrixMap::SecondKey row) {
-    return MatrixRowMap<MatrixMap>(matrixMap, row);
+  MatrixColMap<MatrixMap> matrixColMap(MatrixMap& matrixMap,
+				       typename MatrixMap::SecondKey col) {
+    return MatrixColMap<MatrixMap>(matrixMap, col);
   }
 
   template <typename MatrixMap>
-  ConstMatrixRowMap<MatrixMap> 
-  matrixRowMap(const MatrixMap& matrixMap, typename MatrixMap::SecondKey row) {
-    return ConstMatrixRowMap<MatrixMap>(matrixMap, row);
+  ConstMatrixColMap<MatrixMap> 
+  matrixColMap(const MatrixMap& matrixMap, typename MatrixMap::SecondKey col) {
+    return ConstMatrixColMap<MatrixMap>(matrixMap, col);
   }
 
